export default class SwaggerRouterMiddleware {
    context: any;
    handlerCache: Map<string, any>;
    constructor(context: any);
    hasController(req: any): boolean;
    register(expressApp: any): Promise<void>;
    /**
     * @private
     * @param controllerName
     * @returns {*}
     */
    getControllerObjectPromise(controllerName: any): any;
    /**
     * @private
     * @param req
     * @returns {Request}
     */
    getControllerHandler(req: any): any;
    /**
     * @private
     * @param controller
     * @param operationId
     * @returns {function(*=, *=)}
     */
    createControllerArgHandler(controller: any, operationId: any): (req: any, res: any) => any;
}
