"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HttpError extends Error {
    constructor(statusCode, message) {
        super(message);
        this.statusCode = statusCode;
    }
    getStatusCode() {
        return this.statusCode;
    }
    static notFound(message) {
        return new HttpError(404, message);
    }
}
exports.default = HttpError;
//# sourceMappingURL=HttpError.js.map